#ifndef __FILE_UTILS_H__
#define __FILE_UTILS_H__

#if defined(__cplusplus)
extern "C" {
#endif


int file_is_empty(const char *file_path);

char *read_file_content(const char *file_path, unsigned int *size, char *mode);

char *get_file_name_by_path(const char *file_path);

int copy_file(const char *src_path, const char *dst_path);

int delete_file(const char *file_path);

#if defined(__cplusplus)
}
#endif

#endif

